QGIS Application - Bug report #2848
mapserverexportplugin bugs
2010-06-29 01:19 PM - Richard Duivenvoorde

Status: Closed

Priority: Low

Assignee: Richard Duivenvoorde

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12908
Description

from mailinglist: http:/lists.osgeo.org/pipermail/qgis-user/2010-June/009024.html

- for lines, it takes the color from the fill, not from the outline, so the resultsare different from what expected

- if one wants to show only the outline of a polygon, the COLOR for interior shouldn't be written to the mapfile

- for the buffer around labels, after BUFFER 1 one should add OUTLINECOLOR 255 255 255 (or another colour as appropriate).

History

#1 - 2010-07-02 04:45 AM - Richard Duivenvoorde

please test:

the ms_export.py above should replace the version you have in (on linux):

[yourqgis install dir]/share/qgis/python/plugins/mapserver_export

this file version is not yet in svn

#2 - 2010-07-06 12:06 PM - Richard Duivenvoorde

- Resolution set to fixed

- Status changed from Open to Closed

mostly fixed in commit:4cec6fe1 (SVN r13895)

styles for mapserver and qgis are more in line now, thought there is still some discrepancy for example around the BUFFER concept.

Files

ms_export.py 46.7 KB 2010-07-02 Richard Duivenvoorde
